Retrieve a specific Auditable entity

GET
/v2/audits/entities/{id}

Retrieve a specific Auditable entity

Authorization

Bearer-Auth
headerAuthorizationBearer <token>

Path Parameters

id*string

Response Body

OK

application/json
  1. response

Auditable entity represents a legal entity, which can be attached to an audit entry, so the user can provide detailed information.

id?string

A unique identifier for the audit entity record, represented as a universally unique identifier (UUID)

Formatuuid
legal_name?string

The legal name of the entity.

email?string

The email address associated with the entity.

Formatemail
vat_id?string

The VAT identification number of the entity.

external_id?string

An external identifier for the entity, which can be used to link the entity to an external system or database.

address?

Address of a legal entity. Some (legal) documets require a full address to be given, e.g. an invoice.

Example Request
curl -X GET 'https://api.sandbox.squake.earth/v2/audits/entities/string'
Example Response
{  "id": "0194d6b4-8711-7873-899d-c8133cd742f8",  "legal_name": "Test Company Inc.",  "email": "test@squake.earth",  "vat_id": "DE123456789",  "external_id": "external-id",  "address": {    "city": "Berlin",    "line_1": "Street 1",    "line_2": "Building A",    "email": "test@squake.earth",    "country_alpha2": "DE",    "name_line_1": "Test Company Inc.",    "name_line_2": "c/o John Doe",    "state": "BE",    "zip_code": "12345"  }}